Get All Events

Retrieve all events associated with your API key.


Endpoint

Live

POST https://business.festivalcadeau.com/api/endpoint/v1/getallevents

Sandbox

POST https://business.festivalcadeautestsite.nl/api/endpoint/v1/getallevents

Request Parameters

Parameter Type Required Description
apikey string Yes Your API key

Response

Success 200 OK

Returns a JSON array of event objects containing event details such as id, title, description, date, location, and more.

[
    {
        "id": 1,
        "company_id": 1,
        "bannerpath": "http://bannerurl.com/1",
        "poster": "http://posterurl.com/1",
        "title": "Event 1",
        "description": "This is a description for Event 1.",
        "organiser": "Organiser 1",
        "date": "2023-07-20",
        "time": "18:00:00",
        "end_date": "2023-07-21",
        "end_time": "00:00:00",
        "location": "Amsterdam",
        "ticket_link": "http://ticketlink.com/1",
        "created_at": "2023-06-19T12:28:53.000000Z",
        "updated_at": "2023-06-19T12:28:53.000000Z"
    }
]

If no events exist, the response will be an empty array [].


Example Request

POST https://business.festivalcadeau.com/api/endpoint/v1/getallevents
{
    "apikey": "your_api_key"
}